{% extends "admin_base.html" %}
{% load static %}
{% block content %}
    <div class="main-panel">
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top ">
        <div class="container-fluid">
            <div class="navbar-wrapper">
                <a class="navbar-brand" href="#pablo">Clients</a>
            </div>
            <button class="navbar-toggler" type="button" data-toggle="collapse" aria-controls="navigation-index"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="sr-only">Toggle navigation</span>
                <span class="navbar-toggler-icon icon-bar"></span>
                <span class="navbar-toggler-icon icon-bar"></span>
                <span class="navbar-toggler-icon icon-bar"></span>
            </button>
            <div class="collapse navbar-collapse justify-content-end">
                <ul class="navbar-nav">
                    <li class="nav-item dropdown">
                        <a class="nav-link" href="http://example.com" id="navbarDropdownMenuLink"
                           data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="material-icons">person</i>
                            <p class="d-lg-none d-md-block">
                                Some Actions
                            </p>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                            <a class="dropdown-item" href="{% url 'logout' %}">Logout</a>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <!-- End Navbar -->
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-8">
                    <div class="card" style="background-color: #1f1f1f!important;color: #eff0f2">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title">Clients</h4>
                            <p class="card-category">List Of Clients</p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead class=" text-orange">
                                    <th>
                                        Position
                                    </th>
                                    <th>
                                        Name
                                    </th>
                                    <th>
                                        Image
                                    </th>
                                    </thead>
                                    <tbody>
                                    {% for client in clients %}
                                        <tr>
                                            <td>
                                                {{ client.position }}
                                            </td>
                                            <td>
                                                {{ client.name }}
                                            </td>
                                            <td>
                                                <img src="{{ client.image.url }}" width="100px" height="auto">
                                            </td>
                                        </tr>
                                    {% endfor %}

                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="card">
                        <div class="card-header-danger">Add Client</div>
                        <div class=" card-body">
                            <form action="{% url 'addclient' %}" method="post" enctype="multipart/form-data">
                                {% csrf_token %}
                                <div class="row">
                                    <div class="col align-content-center">
                                        <div class="form-group">
                                            <label class="bmd-label-floating">Position</label>
                                            <input name="position" type="text" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col">
                                        <div class="form-group">
                                            <label class="bmd-label-floating">Name</label>
                                            <input name="name" type="text" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col">
                                        <div class="form-group">
                                            <div class="input-group input-file" name="imageUpload">
			                                            <span class="input-group-btn" style="padding-left: 0px">
                                                            <button class="btn btn-sm btn-choose" type="button">
                                                                Choose
                                                            </button>
    		                                            </span>
                                                <input name="clientImg" type="text" class="form-control"
                                                       placeholder='Choose a file...'/>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-block btn-danger btn-raised">
                                    Add
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
